"use strict";
var core_1 = require("./core");
var Outputs = ['actionBegin', 'actionSuccess', 'actionComplete', 'actionFailure', 'change',
    'close', 'create', 'destroy', 'focusIn', 'focusOut',
    'open', 'select'
];
var ComplexProperties = ['fields', 'multiColumnSettings'];
var Inputs = core_1.Utils.AngularizeInputs(['addNewText', 'allowAddNew', 'allowSorting', 'animateType', 'autoFocus',
    'caseSensitiveSearch', 'cssClass', 'dataSource', 'delaySuggestionTimeout', 'delimiterChar',
    'emptyResultText', 'enableAutoFill', 'enabled', 'enableDistinct', 'enablePersistence',
    'enableRTL', 'fields', 'filterType', 'height', 'highlightSearch',
    'itemsCount', 'locale', 'minCharacter', 'multiColumnSettings', 'multiSelectMode',
    'popupHeight', 'popupWidth', 'query', 'readOnly', 'selectValueByKey',
    'showEmptyResultText', 'showLoadingIcon', 'showPopupButton', 'showRoundedCorner', 'showResetIcon',
    'sortOrder', 'template', 'validationMessage', 'validationRules', 'value',
    'visible', 'watermarkText', 'width', 'fields.groupBy', 'fields.htmlAttributes',
    'fields.key', 'fields.text', 'multiColumnSettings.enable', 'multiColumnSettings.showHeader', 'multiColumnSettings.stringFormat',
    'multiColumnSettings.columns'], []);
exports.AutocompleteComponent = core_1.CreateComponent('Autocomplete', {
    selector: '[ej-autocomplete]',
    inputs: Inputs,
    outputs: Outputs,
    template: '',
    queries: {}
}, {
    tags: [],
    twoways: [],
    complexes: ComplexProperties,
});
exports.AutocompleteValueAccessor = core_1.CreateControlValueAccessor('[ej-autocomplete]', exports.AutocompleteComponent);
exports.EJ_AUTOCOMPLETE_COMPONENTS = [exports.AutocompleteComponent, exports.AutocompleteValueAccessor];
//# sourceMappingURL=autocomplete.component.js.map