"use strict";
var core_1 = require("./core");
var CircularGaugePointerInputs = core_1.Utils.AngularizeInputs(['backgroundColor', 'backNeedleLength', 'border', 'border.color', 'border.width',
    'distanceFromScale', 'gradients', 'imageUrl', 'length', 'markerType',
    'needleType', 'opacity', 'radius', 'placement', 'pointerValueText',
    'pointerValueText.angle', 'pointerValueText.autoAngle', 'pointerValueText.color', 'pointerValueText.distance', 'pointerValueText.font',
    'pointerValueText.font.fontFamily', 'pointerValueText.font.fontStyle', 'pointerValueText.font.size', 'pointerValueText.opacity', 'pointerValueText.showValue',
    'showBackNeedle', 'type', 'value', 'width'], []);
exports.CircularGaugePointerDirective = core_1.CreateComplexDirective({
    selector: 'e-pointers>e-pointer',
    inputs: CircularGaugePointerInputs,
    queries: {}
}, {
    tags: [],
    complexes: ['border', 'pointerValueText', 'pointerValueText.font'],
    type: core_1.forwardRef(function () { return exports.CircularGaugeComponent; })
});
exports.CircularGaugePointersDirective = core_1.CreateArrayTagDirective('pointers', 'e-scales>e-pointers', exports.CircularGaugePointerDirective);
var CircularGaugeLabelInputs = core_1.Utils.AngularizeInputs(['angle', 'autoAngle', 'color', 'distanceFromScale', 'font',
    'font.fontFamily', 'font.fontStyle', 'font.size', 'includeFirstValue', 'opacity',
    'placement', 'type', 'unitText', 'unitTextPosition'], []);
exports.CircularGaugeLabelDirective = core_1.CreateComplexDirective({
    selector: 'e-labels>e-label',
    inputs: CircularGaugeLabelInputs,
    queries: {}
}, {
    tags: [],
    complexes: ['font'],
    type: core_1.forwardRef(function () { return exports.CircularGaugeComponent; })
});
exports.CircularGaugeLabelsDirective = core_1.CreateArrayTagDirective('labels', 'e-scales>e-labels', exports.CircularGaugeLabelDirective);
var CircularGaugeTickInputs = core_1.Utils.AngularizeInputs(['angle', 'color', 'distanceFromScale', 'height', 'placement',
    'type', 'width'], []);
exports.CircularGaugeTickDirective = core_1.CreateComplexDirective({
    selector: 'e-ticks>e-tick',
    inputs: CircularGaugeTickInputs,
    queries: {}
}, {
    tags: [],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.CircularGaugeComponent; })
});
exports.CircularGaugeTicksDirective = core_1.CreateArrayTagDirective('ticks', 'e-scales>e-ticks', exports.CircularGaugeTickDirective);
var CircularGaugeRangeInputs = core_1.Utils.AngularizeInputs(['backgroundColor', 'border', 'border.color', 'border.width', 'distanceFromScale',
    'endValue', 'endWidth', 'gradients', 'opacity', 'placement',
    'size', 'startValue', 'startWidth'], []);
exports.CircularGaugeRangeDirective = core_1.CreateComplexDirective({
    selector: 'e-ranges>e-range',
    inputs: CircularGaugeRangeInputs,
    queries: {}
}, {
    tags: [],
    complexes: ['border'],
    type: core_1.forwardRef(function () { return exports.CircularGaugeComponent; })
});
exports.CircularGaugeRangesDirective = core_1.CreateArrayTagDirective('ranges', 'e-scales>e-ranges', exports.CircularGaugeRangeDirective);
var CircularGaugeStateRangeInputs = core_1.Utils.AngularizeInputs(['backgroundColor', 'borderColor', 'endValue', 'font', 'startValue',
    'text', 'textColor'], []);
exports.CircularGaugeStateRangeDirective = core_1.CreateComplexDirective({
    selector: 'e-stateranges>e-staterange',
    inputs: CircularGaugeStateRangeInputs,
    queries: {}
}, {
    tags: [],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.CircularGaugeComponent; })
});
exports.CircularGaugeStateRangesDirective = core_1.CreateArrayTagDirective('stateRanges', 'e-indicators>e-stateranges', exports.CircularGaugeStateRangeDirective);
var CircularGaugeIndicatorInputs = core_1.Utils.AngularizeInputs(['height', 'imageUrl', 'position', 'position.x', 'position.y',
    'stateRanges', 'type', 'width'], []);
exports.CircularGaugeIndicatorDirective = core_1.CreateComplexDirective({
    selector: 'e-indicators>e-indicator',
    inputs: CircularGaugeIndicatorInputs,
    queries: {
        _stateRanges: new core_1.ContentChild(exports.CircularGaugeStateRangesDirective),
    }
}, {
    tags: ['stateRanges'],
    complexes: ['position'],
    type: core_1.forwardRef(function () { return exports.CircularGaugeComponent; })
});
exports.CircularGaugeIndicatorsDirective = core_1.CreateArrayTagDirective('indicators', 'e-scales>e-indicators', exports.CircularGaugeIndicatorDirective);
var CircularGaugeSubGaugeInputs = core_1.Utils.AngularizeInputs(['height', 'position', 'position.x', 'position.y', 'width'], []);
exports.CircularGaugeSubGaugeDirective = core_1.CreateComplexDirective({
    selector: 'e-subgauges>e-subgauge',
    inputs: CircularGaugeSubGaugeInputs,
    queries: {}
}, {
    tags: [],
    complexes: ['position'],
    type: core_1.forwardRef(function () { return exports.CircularGaugeComponent; })
});
exports.CircularGaugeSubGaugesDirective = core_1.CreateArrayTagDirective('subGauges', 'e-scales>e-subgauges', exports.CircularGaugeSubGaugeDirective);
var CircularGaugeScaleInputs = core_1.Utils.AngularizeInputs(['backgroundColor', 'border', 'border.color', 'border.width', 'direction',
    'customLabels', 'indicators', 'labels', 'majorIntervalValue', 'maximum',
    'minimum', 'minorIntervalValue', 'opacity', 'pointerCap', 'pointerCap.backgroundColor',
    'pointerCap.borderColor', 'pointerCap.borderWidth', 'pointerCap.interiorGradient', 'pointerCap.radius', 'pointers',
    'radius', 'ranges', 'shadowOffset', 'showIndicators', 'showLabels',
    'showPointers', 'showRanges', 'showScaleBar', 'showTicks', 'size',
    'startAngle', 'subGauges', 'sweepAngle', 'ticks'], []);
exports.CircularGaugeScaleDirective = core_1.CreateComplexDirective({
    selector: 'e-scales>e-scale',
    inputs: CircularGaugeScaleInputs,
    queries: {
        _pointers: new core_1.ContentChild(exports.CircularGaugePointersDirective),
        _labels: new core_1.ContentChild(exports.CircularGaugeLabelsDirective),
        _ticks: new core_1.ContentChild(exports.CircularGaugeTicksDirective),
        _ranges: new core_1.ContentChild(exports.CircularGaugeRangesDirective),
        _indicators: new core_1.ContentChild(exports.CircularGaugeIndicatorsDirective),
        _subGauges: new core_1.ContentChild(exports.CircularGaugeSubGaugesDirective),
    }
}, {
    tags: ['pointers', 'labels', 'ticks', 'ranges', 'indicators', 'subGauges'],
    complexes: ['border', 'pointerCap'],
    type: core_1.forwardRef(function () { return exports.CircularGaugeComponent; })
});
exports.CircularGaugeScalesDirective = core_1.CreateArrayTagDirective('scales', 'ej-circulargauge>e-scales', exports.CircularGaugeScaleDirective);
var Outputs = ['drawCustomLabel', 'drawIndicators', 'drawLabels', 'drawPointerCap', 'drawPointers',
    'drawRange', 'drawTicks', 'load', 'mouseClick', 'mouseClickMove',
    'mouseClickUp', 'renderComplete',
    'model.valueChange: valueChange', 'model.minimumChange: minimumChange', 'model.maximumChange: maximumChange'];
var ComplexProperties = ['frame', 'tooltip'];
var Inputs = core_1.Utils.AngularizeInputs(['animationSpeed', 'backgroundColor', 'distanceFromCorner', 'enableAnimation', 'frame',
    'gaugePosition', 'height', 'interiorGradient', 'isRadialGradient', 'isResponsive',
    'outerCustomLabelPosition', 'radius', 'readOnly', 'theme', 'tooltip',
    'width', 'frame.backgroundImageUrl', 'frame.frameType', 'frame.halfCircleFrameEndAngle', 'frame.halfCircleFrameStartAngle',
    'tooltip.showCustomLabelTooltip', 'tooltip.showLabelTooltip', 'tooltip.templateID', 'scales', 'scales.indicators.stateRanges'], ['value', 'minimum', 'maximum']);
exports.CircularGaugeComponent = core_1.CreateComponent('CircularGauge', {
    selector: 'ej-circulargauge',
    inputs: Inputs,
    outputs: Outputs,
    template: '',
    queries: {
        _scales: new core_1.ContentChild(exports.CircularGaugeScalesDirective),
    }
}, {
    tags: ['scales'],
    twoways: ['value', 'minimum', 'maximum'],
    complexes: ComplexProperties,
});
exports.EJ_CIRCULARGAUGE_COMPONENTS = [exports.CircularGaugeComponent, exports.CircularGaugePointersDirective, exports.CircularGaugeLabelsDirective, exports.CircularGaugeTicksDirective, exports.CircularGaugeRangesDirective, exports.CircularGaugeStateRangesDirective, exports.CircularGaugeIndicatorsDirective, exports.CircularGaugeSubGaugesDirective, exports.CircularGaugeScalesDirective, exports.CircularGaugePointerDirective, exports.CircularGaugeLabelDirective, exports.CircularGaugeTickDirective, exports.CircularGaugeRangeDirective, exports.CircularGaugeStateRangeDirective, exports.CircularGaugeIndicatorDirective, exports.CircularGaugeSubGaugeDirective, exports.CircularGaugeScaleDirective];
//# sourceMappingURL=circulargauge.component.js.map