"use strict";
var core_1 = require("./core");
var DigitalGaugeItemInputs = core_1.Utils.AngularizeInputs(['characterSettings', 'characterSettings.count', 'characterSettings.opacity', 'characterSettings.spacing', 'characterSettings.type',
    'enableCustomFont', 'font', 'font.fontFamily', 'font.fontStyle', 'font.size',
    'position', 'position.x', 'position.y', 'segmentSettings', 'segmentSettings.color',
    'segmentSettings.gradient', 'segmentSettings.length', 'segmentSettings.opacity', 'segmentSettings.spacing', 'segmentSettings.width',
    'shadowBlur', 'shadowColor', 'shadowOffsetX', 'shadowOffsetY', 'textAlign',
    'textColor', 'value'], []);
exports.DigitalGaugeItemDirective = core_1.CreateComplexDirective({
    selector: 'e-digitalgauge-items>e-digitalgauge-item',
    inputs: DigitalGaugeItemInputs,
    queries: {}
}, {
    tags: [],
    complexes: ['characterSettings', 'font', 'position', 'segmentSettings'],
    type: core_1.forwardRef(function () { return exports.DigitalGaugeComponent; })
});
exports.DigitalGaugeItemsDirective = core_1.CreateArrayTagDirective('items', 'ej-digitalgauge>e-digitalgauge-items', exports.DigitalGaugeItemDirective);
var Outputs = ['init', 'itemRendering', 'load', 'renderComplete',
    'model.valueChange: valueChange'];
var ComplexProperties = ['frame'];
var Inputs = core_1.Utils.AngularizeInputs(['frame', 'height', 'isResponsive', 'matrixSegmentData', 'segmentData',
    'themes', 'width', 'frame.backgroundImageUrl', 'frame.innerWidth', 'frame.outerWidth',
    'items'], ['value']);
exports.DigitalGaugeComponent = core_1.CreateComponent('DigitalGauge', {
    selector: 'ej-digitalgauge',
    inputs: Inputs,
    outputs: Outputs,
    template: '',
    queries: {
        _items: new core_1.ContentChild(exports.DigitalGaugeItemsDirective),
    }
}, {
    tags: ['items'],
    twoways: ['value'],
    complexes: ComplexProperties,
});
exports.EJ_DIGITALGAUGE_COMPONENTS = [exports.DigitalGaugeComponent, exports.DigitalGaugeItemsDirective, exports.DigitalGaugeItemDirective];
//# sourceMappingURL=digitalgauge.component.js.map