"use strict";
var core_1 = require("./core");
var GridCommandInputs = core_1.Utils.AngularizeInputs(['buttonOptions', 'type'], []);
exports.GridCommandDirective = core_1.CreateComplexDirective({
    selector: 'e-commands>e-command',
    inputs: GridCommandInputs,
    queries: {}
}, {
    tags: [],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.GridComponent; })
});
exports.GridCommandsDirective = core_1.CreateArrayTagDirective('commands', 'e-columns>e-commands', exports.GridCommandDirective);
var GridColumnInputs = core_1.Utils.AngularizeInputs(['clipMode', 'allowEditing', 'allowFiltering', 'allowGrouping', 'allowSorting',
    'allowResizing', 'commands', 'cssClass', 'customAttributes', 'dataSource',
    'defaultValue', 'disableHtmlEncode', 'displayAsCheckBox', 'editParams', 'editTemplate',
    'editType', 'enableGroupByFormat', 'field', 'filterBarTemplate', 'filterType',
    'foreignKeyField', 'foreignKeyValue', 'format', 'headerTemplateID', 'headerText',
    'headerTextAlign', 'headerTooltip', 'isFrozen', 'isIdentity', 'isPrimaryKey',
    'priority', 'showInColumnChooser', 'template', 'textAlign', 'tooltip',
    'type', 'validationRules', 'visible', 'width'], []);
exports.GridColumnDirective = core_1.CreateComplexDirective({
    selector: 'e-columns>e-column',
    inputs: GridColumnInputs,
    queries: {
        _commands: new core_1.ContentChild(exports.GridCommandsDirective),
    }
}, {
    tags: ['commands'],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.GridComponent; })
});
exports.GridColumnsDirective = core_1.CreateArrayTagDirective('columns', 'ej-grid>e-columns', exports.GridColumnDirective);
var GridSummaryColumnInputs = core_1.Utils.AngularizeInputs(['customSummaryValue', 'dataMember', 'displayColumn', 'format', 'prefix',
    'suffix', 'summaryType', 'template'], []);
exports.GridSummaryColumnDirective = core_1.CreateComplexDirective({
    selector: 'e-summarycolumns>e-summarycolumn',
    inputs: GridSummaryColumnInputs,
    queries: {}
}, {
    tags: [],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.GridComponent; })
});
exports.GridSummaryColumnsDirective = core_1.CreateArrayTagDirective('summaryColumns', 'e-summaryrows>e-summarycolumns', exports.GridSummaryColumnDirective);
var GridSummaryRowInputs = core_1.Utils.AngularizeInputs(['showCaptionSummary', 'showGroupSummary', 'showTotalSummary', 'summaryColumns', 'title',
    'titleColumn'], []);
exports.GridSummaryRowDirective = core_1.CreateComplexDirective({
    selector: 'e-summaryrows>e-summaryrow',
    inputs: GridSummaryRowInputs,
    queries: {
        _summaryColumns: new core_1.ContentChild(exports.GridSummaryColumnsDirective),
    }
}, {
    tags: ['summaryColumns'],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.GridComponent; })
});
exports.GridSummaryRowsDirective = core_1.CreateArrayTagDirective('summaryRows', 'ej-grid>e-summaryrows', exports.GridSummaryRowDirective);
var GridStackedHeaderColumnInputs = core_1.Utils.AngularizeInputs(['column', 'cssClass', 'headerText', 'textAlign', 'tooltip'], []);
exports.GridStackedHeaderColumnDirective = core_1.CreateComplexDirective({
    selector: 'e-stackedheadercolumns>e-stackedheadercolumn',
    inputs: GridStackedHeaderColumnInputs,
    queries: {}
}, {
    tags: [],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.GridComponent; })
});
exports.GridStackedHeaderColumnsDirective = core_1.CreateArrayTagDirective('stackedHeaderColumns', 'e-stackedheaderrows>e-stackedheadercolumns', exports.GridStackedHeaderColumnDirective);
var GridStackedHeaderRowInputs = core_1.Utils.AngularizeInputs(['stackedHeaderColumns'], []);
exports.GridStackedHeaderRowDirective = core_1.CreateComplexDirective({
    selector: 'e-stackedheaderrows>e-stackedheaderrow',
    inputs: GridStackedHeaderRowInputs,
    queries: {
        _stackedHeaderColumns: new core_1.ContentChild(exports.GridStackedHeaderColumnsDirective),
    }
}, {
    tags: ['stackedHeaderColumns'],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.GridComponent; })
});
exports.GridStackedHeaderRowsDirective = core_1.CreateArrayTagDirective('stackedHeaderRows', 'ej-grid>e-stackedheaderrows', exports.GridStackedHeaderRowDirective);
var Outputs = ['actionBegin', 'actionComplete', 'actionFailure', 'batchAdd', 'batchDelete',
    'beforeBatchAdd', 'beforeBatchDelete', 'beforeBatchSave', 'beforePrint', 'beforeRowDrop',
    'beginEdit', 'cellEdit', 'cellSave', 'cellSelected', 'cellSelecting',
    'cellDeselected', 'cellDeselecting', 'columnDrag', 'columnDragStart', 'columnDrop',
    'rowDrag', 'rowDragStart', 'rowDrop', 'columnSelected', 'columnSelecting',
    'columnDeselected', 'columnDeselecting', 'contextClick', 'contextOpen', 'create',
    'dataBound', 'destroy', 'detailsCollapse', 'detailsDataBound', 'detailsExpand',
    'endAdd', 'endDelete', 'endEdit', 'load', 'mergeCellInfo',
    'queryCellInfo', 'recordClick', 'recordDoubleClick', 'resized', 'resizeEnd',
    'resizeStart', 'rightClick', 'rowDataBound', 'rowSelected', 'rowSelecting',
    'rowDeselected', 'rowDeselecting', 'templateRefresh', 'toolbarClick',
    'model.dataSourceChange: dataSourceChange', 'model.pageSettings.currentPageChange: pageSettings.currentPageChange'];
var ComplexProperties = ['contextMenuSettings', 'editSettings', 'filterSettings', 'groupSettings', 'pageSettings',
    'resizeSettings', 'rowDropSettings', 'searchSettings', 'selectionSettings', 'scrollSettings',
    'sortSettings', 'textWrapSettings', 'toolbarSettings'];
var Inputs = core_1.Utils.AngularizeInputs(['allowCellMerging', 'allowGrouping', 'allowKeyboardNavigation', 'allowFiltering', 'allowSorting',
    'allowMultiSorting', 'allowPaging', 'allowReordering', 'allowResizeToFit', 'allowResizing',
    'allowRowDragAndDrop', 'allowScrolling', 'allowSearching', 'allowSelection', 'allowTextWrap',
    'allowMultipleExporting', 'commonWidth', 'gridLines', 'childGrid', 'columnLayout',
    'contextMenuSettings', 'cssClass', 'detailsTemplate', 'editSettings', 'enableAltRow',
    'enableAutoSaveOnSelectionChange', 'enableHeaderHover', 'enablePersistence', 'enableResponsiveRow', 'enableRowHover',
    'enableRTL', 'enableTouch', 'enableToolbarItems', 'exportToExcelAction', 'exportToPdfAction',
    'exportToWordAction', 'filterSettings', 'groupSettings', 'isResponsive', 'keySettings',
    'locale', 'minWidth', 'pageSettings', 'query', 'resizeSettings',
    'rowTemplate', 'rowDropSettings', 'searchSettings', 'selectedRecords', 'selectedRowIndex',
    'selectedRowIndices', 'selectionSettings', 'selectionType', 'scrollSettings', 'showColumnChooser',
    'showStackedHeader', 'showSummary', 'sortSettings', 'textWrapSettings', 'toolbarSettings',
    'contextMenuSettings.contextMenuItems', 'contextMenuSettings.customContextMenuItems', 'contextMenuSettings.enableContextMenu', 'contextMenuSettings.disableDefaultItems', 'editSettings.allowAdding',
    'editSettings.allowDeleting', 'editSettings.allowEditing', 'editSettings.allowEditOnDblClick', 'editSettings.dialogEditorTemplateID', 'editSettings.editMode',
    'editSettings.externalFormTemplateID', 'editSettings.formPosition', 'editSettings.inlineFormTemplateID', 'editSettings.rowPosition', 'editSettings.showConfirmDialog',
    'editSettings.showDeleteConfirmDialog', 'editSettings.titleColumn', 'editSettings.showAddNewRow', 'filterSettings.enableCaseSensitivity', 'filterSettings.enableInterDeterminateState',
    'filterSettings.filterBarMode', 'filterSettings.filterType', 'filterSettings.immediateModeDelay', 'filterSettings.maxFilterChoices', 'filterSettings.showFilterBarStatus',
    'filterSettings.showPredicate', 'groupSettings.captionFormat', 'groupSettings.enableDropAreaAutoSizing', 'groupSettings.groupedColumns', 'groupSettings.showDropArea',
    'groupSettings.showGroupedColumn', 'groupSettings.showToggleButton', 'groupSettings.showUngroupButton', 'pageSettings.enableQueryString', 'pageSettings.enableTemplates',
    'pageSettings.pageCount', 'pageSettings.pageSize', 'pageSettings.showDefaults', 'pageSettings.template', 'pageSettings.totalPages',
    'pageSettings.totalRecordsCount', 'pageSettings.printMode', 'resizeSettings.resizeMode', 'rowDropSettings.dropTargetID', 'rowDropSettings.dragMapper',
    'rowDropSettings.dropMapper', 'searchSettings.fields', 'searchSettings.key', 'searchSettings.operator', 'searchSettings.ignoreCase',
    'selectionSettings.cellSelectionMode', 'selectionSettings.enableToggle', 'selectionSettings.selectionMode', 'scrollSettings.allowVirtualScrolling', 'scrollSettings.autoHide',
    'scrollSettings.buttonSize', 'scrollSettings.enableTouchScroll', 'scrollSettings.frozenColumns', 'scrollSettings.frozenRows', 'scrollSettings.height',
    'scrollSettings.scrollerSize', 'scrollSettings.virtualScrollMode', 'scrollSettings.enableVirtualization', 'scrollSettings.width', 'scrollSettings.scrollOneStepBy',
    'textWrapSettings.wrapMode', 'toolbarSettings.customToolbarItems', 'toolbarSettings.showToolbar', 'toolbarSettings.toolbarItems', 'columns',
    'stackedHeaderRows', 'summaryRows', 'contextMenuSettings.subContextMenu', 'filterSettings.filteredColumns', 'sortSettings.sortedColumns'], ['dataSource', 'pageSettings.currentPage']);
exports.GridComponent = core_1.CreateComponent('Grid', {
    selector: 'ej-grid',
    inputs: Inputs,
    outputs: Outputs,
    template: '',
    queries: {
        _columns: new core_1.ContentChild(exports.GridColumnsDirective),
        _summaryRows: new core_1.ContentChild(exports.GridSummaryRowsDirective),
        _stackedHeaderRows: new core_1.ContentChild(exports.GridStackedHeaderRowsDirective),
    }
}, {
    tags: ['columns', 'summaryRows', 'stackedHeaderRows'],
    twoways: ['dataSource', 'pageSettings.currentPage'],
    complexes: ComplexProperties,
});
exports.EJ_GRID_COMPONENTS = [exports.GridComponent, exports.GridCommandsDirective, exports.GridColumnsDirective, exports.GridSummaryColumnsDirective, exports.GridSummaryRowsDirective, exports.GridStackedHeaderColumnsDirective, exports.GridStackedHeaderRowsDirective, exports.GridCommandDirective, exports.GridColumnDirective, exports.GridSummaryColumnDirective, exports.GridSummaryRowDirective, exports.GridStackedHeaderColumnDirective, exports.GridStackedHeaderRowDirective];
//# sourceMappingURL=grid.component.js.map