"use strict";
var core_1 = require("./core");
var TreeGridColumnInputs = core_1.Utils.AngularizeInputs(['allowFiltering', 'allowSorting', 'allowCellSelection', 'editType', 'field',
    'filterEditType', 'headerText', 'showCheckbox', 'visible', 'width',
    'headerTemplateID', 'format', 'isTemplateColumn', 'headerTextAlign', 'isFrozen',
    'textAlign', 'templateID', 'allowEditing', 'allowFreezing'], []);
exports.TreeGridColumnDirective = core_1.CreateComplexDirective({
    selector: 'e-treegrid-columns>e-treegrid-column',
    inputs: TreeGridColumnInputs,
    queries: {}
}, {
    tags: [],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.TreeGridComponent; })
});
exports.TreeGridColumnsDirective = core_1.CreateArrayTagDirective('columns', 'ej-treegrid>e-treegrid-columns', exports.TreeGridColumnDirective);
var Outputs = ['actionBegin', 'actionComplete', 'beginEdit', 'collapsed', 'collapsing',
    'recordClick', 'columnDragStart', 'columnDrag', 'columnDrop', 'columnResized',
    'columnResizeStart', 'columnResizeEnd', 'contextMenuOpen', 'create', 'endEdit',
    'expanded', 'expanding', 'load', 'queryCellInfo', 'rowDataBound',
    'rowDrag', 'rowDragStart', 'rowDragStop', 'cellSelecting', 'cellSelected',
    'rowSelected', 'rowSelecting', 'toolbarClick',
    'model.dataSourceChange: dataSourceChange', 'model.selectedRowIndexChange: selectedRowIndexChange'];
var ComplexProperties = ['contextMenuSettings', 'dragTooltip', 'editSettings', 'columnResizeSettings', 'filterSettings',
    'pageSettings', 'selectionSettings', 'sizeSettings', 'sortSettings', 'toolbarSettings'];
var Inputs = core_1.Utils.AngularizeInputs(['allowColumnResize', 'allowColumnReordering', 'allowDragAndDrop', 'allowFiltering', 'allowKeyboardNavigation',
    'allowMultiSorting', 'allowSelection', 'allowSorting', 'allowPaging', 'altRowTemplateID',
    'childMapping', 'columnDialogFields', 'contextMenuSettings', 'cssClass', 'headerTextOverflow',
    'dragTooltip', 'editSettings', 'enableAltRow', 'enableCollapseAll', 'enableResize',
    'enableVirtualization', 'columnResizeSettings', 'filterSettings', 'locale', 'parseRowTemplate',
    'idMapping', 'isResponsive', 'parentIdMapping', 'pageSettings', 'cellTooltipTemplate',
    'query', 'rowHeight', 'rowTemplateID', 'selectionSettings', 'showColumnOptions',
    'showColumnChooser', 'showDetailsRow', 'showDetailsRowInfoColumn', 'detailsTemplate', 'detailsRowHeight',
    'showSummaryRow', 'showTotalSummary', 'summaryRows', 'showGridCellTooltip', 'showGridExpandCellTooltip',
    'sizeSettings', 'sortSettings', 'toolbarSettings', 'treeColumnIndex', 'contextMenuSettings.contextMenuItems',
    'contextMenuSettings.showContextMenu', 'dragTooltip.showTooltip', 'dragTooltip.tooltipItems', 'dragTooltip.tooltipTemplate', 'editSettings.allowAdding',
    'editSettings.allowDeleting', 'editSettings.allowEditing', 'editSettings.beginEditAction', 'editSettings.editMode', 'editSettings.rowPosition',
    'columnResizeSettings.columnResizeMode', 'filterSettings.filterBarMode', 'filterSettings.filterType', 'filterSettings.filteredColumns', 'pageSettings.pageCount',
    'pageSettings.pageSize', 'pageSettings.totalRecordsCount', 'pageSettings.currentPage', 'pageSettings.pageSizeMode', 'pageSettings.template',
    'selectionSettings.selectionMode', 'selectionSettings.selectionType', 'selectionSettings.enableHierarchySelection', 'selectionSettings.enableSelectAll', 'sizeSettings.height',
    'sizeSettings.width', 'sortSettings.sortedColumns', 'toolbarSettings.showToolbar', 'toolbarSettings.toolbarItems', 'columns'], ['dataSource', 'selectedRowIndex']);
exports.TreeGridComponent = core_1.CreateComponent('TreeGrid', {
    selector: 'ej-treegrid',
    inputs: Inputs,
    outputs: Outputs,
    template: '',
    queries: {
        _columns: new core_1.ContentChild(exports.TreeGridColumnsDirective),
    }
}, {
    tags: ['columns'],
    twoways: ['dataSource', 'selectedRowIndex'],
    complexes: ComplexProperties,
});
exports.EJ_TREEGRID_COMPONENTS = [exports.TreeGridComponent, exports.TreeGridColumnsDirective, exports.TreeGridColumnDirective];
//# sourceMappingURL=treegrid.component.js.map